# $Revision: 1.43 $, $Date: 2009/01/23 18:24:21 $
%include	/usr/lib/rpm/macros.php
%define		_class		PHP
%define		_subclass	CompatInfo
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - determine minimal requirements for a program
Summary(pl.UTF-8):	%{_pearname} - określanie minimalnych wymagań programu
Name:		php-pear-%{_pearname}
Version:	1.9.0
Release:	1
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	5396bcc77fc7650a73cb0d76b812b7c3
Patch0:		%{name}-cli.patch
URL:		http://pear.php.net/package/PHP_CompatInfo/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(tokenizer)
Requires:	php-pear
Requires:	php-pear-Event_Dispatcher >= 1.0.0
Requires:	php-pear-File_Find >= 1.3.0
Requires:	php-pear-PEAR-core >= 1:1.5.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
# NB! Console/Table and Console/Getopt (Console/Getargs) are required by CLI

%description
PHP_CompatInfo will parse a file/folder/script/array to find out the
minimum version and extensions required for it to run. Features
advanced debug output which shows which functions require which
version.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
PHP_CompatInfo przetwarza plik/katalog/skrypt/tablicę w celu
określenia minimalnej wersji i wymaganych rozszerzeń z jakimi będzie
działać. Pakiet ten cechuje rozbudowane wyświetlanie informacji
diagnostycznych (debug) pokazujących która funkcja wymaga jakiej
wersji.

Ta klasa ma w PEAR status: %{_status}.

%package cli
Summary:	CLI for PHP_CompatInfo
Summary(pl.UTF-8):	Interfejs linii poleceń dla PHP_CompatInfo
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}

%description cli
CLI for PHP_CompatInfo.

%description cli -l pl.UTF-8
Interfejs linii poleceń dla PHP_CompatInfo.

# could make subpkg for each, but that's imho overkill, just want base package
# being minimal for rpm-php-pearprov.
%package Renderers
Summary:	Additional format Renderers for PHP_CompatInfo
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}

%description Renderers
Additional format Renderers for PHP_CompatInfo

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development
AutoReq:	no
Requires:	%{name} = %{version}-%{release}
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup
%patch0 -p1

mv docs/%{_pearname}/docs/examples .

# pear/tests/pearname/tests -> pear/tests/pearname
mv ./%{php_pear_dir}/tests/%{_pearname}/{tests/*,}
rmdir ./%{php_pear_dir}/tests/%{_pearname}/tests

# pld package names
%{__sed} -i -e '/ext/{
	s/pecl_http/pecl-http/
	s/apc/pecl-APC/
	s/fileinfo/pecl-fileinfo/
}' ./%{php_pear_dir}/%{_class}/%{_subclass}/func_array.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir},%{_examplesdir}/%{name}-%{version}}
%pear_package_install

install ./%{_bindir}/pci $RPM_BUILD_ROOT%{_bindir}/pcicmd

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/CompatInfo.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php
%exclude %{php_pear_dir}/%{_class}/%{_subclass}/Cli.php
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%dir %{php_pear_dir}/%{_class}/%{_subclass}/Renderer
%{php_pear_dir}/%{_class}/%{_subclass}/Renderer/Null.php

%files Renderers
%defattr(644,root,root,755)
%{php_pear_dir}/%{_class}/%{_subclass}/Renderer/Array.php
%{php_pear_dir}/%{_class}/%{_subclass}/Renderer/Csv.php
%{php_pear_dir}/%{_class}/%{_subclass}/Renderer/Html.php
%{php_pear_dir}/%{_class}/%{_subclass}/Renderer/Text.php
%{php_pear_dir}/%{_class}/%{_subclass}/Renderer/Xml.php

# CSS for HTML Renderer
%{php_pear_dir}/data/%{_pearname}

# examples use other Renderers than null, so packaged here
%{_examplesdir}/%{name}-%{version}

%files cli
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pcicmd
%{php_pear_dir}/%{_class}/%{_subclass}/Cli.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/%{_pearname}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PHP_CompatInfo.spec,v $
Revision 1.43  2009/01/23 18:24:21  adamg
- updated to 1.9.0

Revision 1.42  2008/10/29 02:51:33  glen
- rename fileinfo -> pecl-fileinfo

Revision 1.41  2008/10/29 02:23:09  glen
- rename apc -> pecl-APC

Revision 1.40  2008/10/29 02:20:36  glen
- rename pecl_http -> pecl-http; rel 4

Revision 1.39  2008/10/22 17:00:22  glen
- add Renderers subpackage for minimal base dependency; rel 3

Revision 1.38  2008/10/22 07:52:20  glen
- package examples to examplesdir
- less subdirs for tests; rel 2

Revision 1.37  2008/10/11 09:06:10  adamg
- updated to 1.8.1

Revision 1.36  2008/08/05 14:37:55  adamg
- updated to 1.8.0

Revision 1.35  2008-05-03 08:50:14  adamg
- updated to 1.7.0; tests subpkg

Revision 1.34  2008-01-31 12:16:09  glen
- rel 2

Revision 1.33  2008-01-31 09:22:51  glen
- update to 1.5.1

Revision 1.32  2007-08-26 09:04:44  adamg
- updated to 1.4.3

Revision 1.31  2007/03/01 00:05:49  glen
- 1.4.1

Revision 1.30  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.29  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.28  2006/11/26 20:36:08  glen
- 1.4.0

Revision 1.27  2006/11/26 14:11:30  glen
- rel 2: use php(extension) virtuals

Revision 1.26  2006/09/09 17:30:39  adamg
- updated to 1.3.2

Revision 1.25  2006/09/02 18:50:02  glen
- R: php-tokenizer; rel 3

Revision 1.24  2006/09/02 18:01:10  glen
- install pcicmd to bindir, rel 2

Revision 1.23  2006/09/02 17:56:09  glen
- wtf?

Revision 1.22  2006/09/02 17:46:48  adamg
- updated to 1.3.1

Revision 1.21  2006/08/26 11:11:21  qboosh
- pl for -cli

Revision 1.20  2006/08/24 22:59:50  glen
- separated cli due extra deps, rel 2

Revision 1.19  2006/08/24 22:31:16  glen
- update to 1.2.0, added CLI executable

Revision 1.18  2006/08/06 20:25:53  adamg
- updated to 1.1.2

Revision 1.17  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.16  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.15  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.14  2005/10/05 20:59:19  glen
- rel 2

Revision 1.13  2005/09/21 07:52:12  glen
- new pear build

Revision 1.12  2005/03/21 15:22:56  adamg
- updated to 1.0.0

Revision 1.11  2004/12/04 14:09:10  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.10  2004/10/24 18:53:07  paladine
- spelling fixes, uppercases, etc.

Revision 1.9  2004/05/30 13:13:52  adamg
- fixed english information about status of the package

Revision 1.8  2004/05/06 20:16:57  adamg
- updated to 0.8.4

Revision 1.7  2004/04/27 18:48:59  adamg
- updated to 0.8.3

Revision 1.6  2004/04/25 17:31:00  adamg
- updated to 0.8.2

Revision 1.5  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.4  2004/03/13 13:16:58  adamg
- fixed URL

Revision 1.3  2004/03/11 19:03:54  qboosh
- renamed spec to get rid of double ".spec" in filename (server-side)

Revision 1.2  2004/03/11 18:30:46  qboosh
- typo, formatting

Revision 1.1  2004/03/10 22:58:54  adamg
- initial import
